• 4 июля стартует курс «Python для Пентестера ©» от команды The Codeby

    Понятные и наглядные учебные материалы с информацией для выполнения ДЗ; Проверка ДЗ вручную – наставник поможет улучшить написанный вами код; Помощь преподавателей при выполнении заданий или в изучении теории; Групповой чат в Telegram с другими учениками, проходящими курс; Опытные разработчики – команда Codeby School, лидер по информационной безопасности в RU-сегменте

    Запись на курс до 15 июля. Подробнее ...

  • 11 июля стартует «Курс «SQL-injection Master» ©» от команды The Codeby

    За 3 месяца вы пройдете путь от начальных навыков работы с SQL-запросами к базам данных до продвинутых техник. Научитесь находить уязвимости связанные с базами данных, и внедрять произвольный SQL-код в уязвимые приложения.

    На последнюю неделю приходится экзамен, где нужно будет показать свои навыки, взломав ряд уязвимых учебных сайтов, и добыть флаги. Успешно сдавшие экзамен получат сертификат.

    Запись на курс до 20 июля. Подробнее ...

ruby

  1. A

    Software Engineer (Ruby on Rails, PostgreSQL, Angular, Linux)

    Привет! Эта вакансия, скорее всего, подойдёт человеку, который увлечён программированием и желает найти площадку для реализации творческого потенциала. Ищем опытного специалиста, кто готов взяться за создание и поддержку проектов с использованием фрэймворков Ruby on Rails и Angular. Необходим...
  2. A

    Manjaro and metasploit and ruby)

    В один прекрасный момент при запуске метасплоит командой msfconsole вылетает такая ошибка Traceback (most recent call last): 1: from <internal:gem_prelude>:2:in `<internal:gem_prelude>' <internal:gem_prelude>:2:in `require': cannot load such file -- rubygems.rb (LoadError) Пробовал от sudo...
  3. A

    Помогите развить атаку на сервер Unicorn 5.2.0 (Ruby on rails)

    Добрый день господа. Нашел, как мне кажется, хороший баг на сервере (Unicorn 5.2.0). Но не могу развить его дальше. Ruby я не знаю и баги его тоже. Может подскажете что дельное? Один из post параметров при символе % вызывает ошибку. Все остальное видно на скринах.
  4. Marr

    ruby 1.9 on kali

    Добрый день! Подскажите как на kali поставить ruby 1.9 или выше? sudo apt-get install ruby-full - ставит 1.8 ruby-install тоже не может поставить Спасибо!
  5. S

    Ошибка metasploit wmap

    Ошибку ниже я сначала словил под Arch. Потом попробовал запустить и под Kali последней версии. Но ничего не поменялось под обеими ОС одна и та же ошибка. msf5 > wmap_targets -t http://site.com [-] Error while running command wmap_targets: PG::InvalidTextRepresentation: ERROR: invalid input...
  6. mCstl

    ruby присвоение через gets

    Такая проблема возникла, я начал учится ruby (сижу на Backbox (Ubuntu)) . На второй день решил опробовать присвоение переменной и логические построения так что написал такой вот код для теста: #! /usr/bin/ruby puts "choose dis" nm= gets print (nm) if nm== "dis" then puts "ok "+nm elsif nm==...
  7. E

    Проблема как работать с эксплоитами написанных не на ruby

    С Метасплоитом и армитаж всё более или менее понятно, но как использовать эксплоиты написанные не для метасплоита. Те что ещё актуальны, и дыры не закрыты. Каким фреймворком пользоваться.Как делать реверс? На данном сайте https://0day.today/ есть к продаже эксплоиты, я так понимаю они...